#ifndef __el__entity_h
#define __el__entity_h

#include <iostream>
#include <vector>

#include "SDL.h"

#include "movement.h"

namespace el {

class Random;


typedef enum entitymode{
	MSHOT,
	MBLANK1
};


class Entity {

public:

	float x,y;
	int img1,img2;
	int rad1,rad2;
	bool remove;
	int collision;
	int collisionid;
	bool through;

	Random *rg;
	movement_fun movement;
	int movementdata;

	Entity();

	void draw(SDL_Surface *);

	void clone(Entity *e);
	void setmode(entitymode i);

	void tick(int ticks);
};

typedef std::vector <Entity> *Entityvector;
std::ostream& operator<<(std::ostream&s, Entity);

} //namespace

#endif
