#ifndef __el__level_h
#define __el__level_h

#include <iostream>

#include "movement.h"
#include "formation.h"

namespace el {


class Level {

public:
	int id;

	int wavedelay;
	int waves;

	std::vector < movement_fun > movements;
	std::vector < formation_fun > formations;
	std::vector < int > images;
	


	void reset();

	int getimage();
	movement_fun getmovement();
	formation_fun getformation();

	


};

std::ostream& operator<<(std::ostream&s, Level);

} //namespace

#endif
